# stl_map.h File Reference

## Detailed Description

This is an internal header file, included by other library headers. You should not attempt to use it directly.

Definition in file stl_map.h.

Go to the source code of this file.

## Namespaces

- namespace std

## Classes

- class std::map< _Key, _Tp, _Compare, _Alloc >
    A standard container made up of (key,value) pairs, which can be retrieved based on a key, in logarithmic time. More...
- class std::map< _Key, _Tp, _Compare, _Alloc >::value_compare

## Defines

- #define _MAP_H

## Functions

- template<typename _Key, typename _Tp, typename _Compare, typename _Alloc> bool std::operator!= (const map< _Key, _Tp, _Compare, _Alloc > &__x, const map< _Key, _Tp, _Compare, _Alloc > &__y)
- template<typename _Key, typename _Tp, typename _Compare, typename _Alloc> bool std::operator< (const map< _Key, _Tp, _Compare, _Alloc > &__x, const map< _Key, _Tp, _Compare, _Alloc > &__y)
- template<typename _Key, typename _Tp, typename _Compare, typename _Alloc> bool std::operator<= (const map< _Key, _Tp, _Compare, _Alloc > &__x, const map< _Key, _Tp, _Compare, _Alloc > &__y)
- template<typename _Key, typename _Tp, typename _Compare, typename _Alloc> bool std::operator== (const map< _Key, _Tp, _Compare, _Alloc > &__x, const map< _Key, _Tp, _Compare, _Alloc > &__y)
- template<typename _Key, typename _Tp, typename _Compare, typename _Alloc> bool std::operator> (const map< _Key, _Tp, _Compare, _Alloc > &__x, const map< _Key, _Tp, _Compare, _Alloc > &__y)
- template<typename _Key, typename _Tp, typename _Compare, typename _Alloc> bool std::operator>= (const map< _Key, _Tp, _Compare, _Alloc > &__x, const map< _Key, _Tp, _Compare, _Alloc > &__y)
- template<typename _Key, typename _Tp, typename _Compare, typename _Alloc> void std::swap (map< _Key, _Tp, _Compare, _Alloc > &__x, map< _Key, _Tp, _Compare, _Alloc > &__y)